ARM Technical Support Knowledge Articles

Why does RVIUpdate fail to update my RealView-ICE firmware?

Applies to: RealView ICE and Trace (RVI / RVT)

Answer

The RealView ICE Update utility, supplied with RVI v3.1 or v3.2 host software, will fail to update older versions of firmware on an RVI unit. An attempt to update from firmware v1.5 (or earlier) will fail with the following message: 'An error has occurred while writing to the RealView ICE'.

To correct this problem please install the RealView-ICE v3.1.3 or RealView-ICE v3.2.1 patch. It should now be possible to update your firmware without error.

If you attempted to update your RealView-ICE to v1.7 firmware using v3.1 or v3.2 host software, and the unit no longer boots using Ethernet or USB (all LEDs are off), please contact ARM support (support-sw@arm.com) for further instruction.

Article last edited on: 2008-09-09 15:47:57

Rate this article

[Bad]
|
|
[Good]
Disagree? Move your mouse over the bar and click

Did you find this article helpful? Yes No

How can we improve this article?

Link to this article
Copyright © 2011 ARM Limited. All rights reserved. External (Open), Non-Confidential